> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get auth information

> Get information about your organization and the ones you collaborate with.



## OpenAPI

````yaml get /auth
openapi: 3.0.0
info:
  title: Channel Manager API
  version: 0.1.0
  description: >-
    Official API documentation for Channel Manager. All endpoints are protected
    by an API key.
servers:
  - url: https://channels-service-alpha.fourvenues.com
    description: Test server
  - url: https://channels-service.fourvenues.com
    description: Production server
security: []
tags: []
paths:
  /auth:
    get:
      tags:
        - Auth
      summary: Get auth information
      description: >-
        Get information about your organization and the ones you collaborate
        with.
      operationId: getAuthInfo
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Authed
                      channel:
                        $ref: '#/components/schemas/Channel'
                  success:
                    type: boolean
                    example: true
        '401':
          description: Unauthorized
      security:
        - ApiKey: []
components:
  schemas:
    Channel:
      type: object
      properties:
        _id:
          type: string
          description: Channel's unique identifier.
          example: org_channel_123
        name:
          type: string
          description: Channel's name.
          example: My Channel
        slug:
          type: string
          description: Channel's URL-friendly identifier.
          example: my-channel
        hosts:
          type: array
          items:
            $ref: '#/components/schemas/Organization'
          description: Array of organizations you collaborate with.
        anfitrions:
          type: array
          items:
            $ref: '#/components/schemas/Organization'
          deprecated: true
          description: Array of organizations you collaborate with.
        currency:
          type: string
          example: EUR
          description: Currency of the channel.
        created_at:
          type: string
          format: date-time
          description: Date and time when the channel was created.
          example: '2024-10-01T00:00:00Z'
      required:
        - _id
        - name
        - slug
        - hosts
        - created_at
    Organization:
      type: object
      description: Basic information of the organizations that you have access.
      properties:
        _id:
          type: string
          description: Organization's unique identifier.
          example: org123
        name:
          type: string
          description: Organization's name.
          example: My organization.
        slug:
          type: string
          description: Organization's URL-friendly identifier.
          example: my-organization.
        created_at:
          type: string
          format: date-time
          description: Date and time when the organization was created.
          example: '2022-01-01T00:00:00Z'
      required:
        - _id
        - name
        - slug
        - anfitrions_ids
        - created_at
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````